
package de.ivu.elect.business.wahlbeteiligung.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungVerlaufDAO;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungVerlaufCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlbeteiligungVerlaufCreate {

  @Inject
  protected WahlbeteiligungVerlaufDAO dao;

    @Inject
    transient Event<WahlbeteiligungVerlaufCreateEvent> createEvent;



  


public void save(WahlbeteiligungVerlauf entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(WahlbeteiligungVerlauf entity) {
        createEvent.fire(new WahlbeteiligungVerlaufCreateEvent(entity));
  }

}
